* Fri Dec 11 2009 Luigi Carlotto <md9327@mclink.it> 1.2.17
- # ---------------------------------------------------------------------------
- # BUG: Fixed an error loading the project file from the command line, which
- #      caused the blocking application.
- # NDA: Program compiled with version 2.18.0 of Gambas.

* Mon Oct 12 2009 Luigi Carlotto <md9327@mclink.it> 1.2.16
- # ---------------------------------------------------------------------------
- # BUG: Fixed a bug in saving the project file. Now items are grouped by type
- #      and stored in the correct order, so the true reading correctly,
- #      without loss of information, and with the correct link.
- # NDA: Program compiled with version 2.16.0 of Gambas.

* Sat Oct 10 2009 Luigi Carlotto <md9327@mclink.it> 1.2.15
- # ---------------------------------------------------------------------------
- # BUG: Fixed an error in the presentation of the message duplication, while
- #      updating the TreeList.
- #      (Report made by his Florent Thomas).
- # NDA: Program compiled with version 2.16.0 of Gambas.

* Sat Sep 26 2009 Luigi Carlotto <md9327@mclink.it> 1.2.14
- # ---------------------------------------------------------------------------
- # UPD: Updates in the translations.
- # UPD: In the press reports the objects are now sorted in advance.
- #      (Su suggerimento dell'amico Florent Thomas).
- # BUG: Fixed a bug in printing of reports in HTML format, which caused an
- #      infinite loop when encoding in the presence of special characters.
- #      (Report made by his Florent Thomas).
- # NDA: Program compiled with version 2.16.0 of Gambas.

* Wed Sep 16 2009 Luigi Carlotto <md9327@mclink.it> 1.2.13
- # ---------------------------------------------------------------------------
- # BUG: Fixed a problem in setting the attribute CHECK for the domain.
- # BUG: Fixed a bug in the column headings in printing the report in PDF
- #      format.
- #      (Report made by his Florent Thomas).
- # NDA: Program compiled with version 2.16.0 of Gambas.

* Tue Sep 08 2009 Luigi Carlotto <md9327@mclink.it> 1.2.12
- # ---------------------------------------------------------------------------
- # BUG: Fixed a mistake in the edit window table, viewing the list of
- #      relations.
- #      (Report made by his Florent Thomas).
- # NDA: Program compiled with version 2.15.2 of Gambas.

* Sat Sep 05 2009 Luigi Carlotto <md9327@mclink.it> 1.2.11
- # ---------------------------------------------------------------------------
- # BUG: Given the difficulty of ensuring a complete, syntactically and
- #      logically, the values in the fields Default Fields for Tables, Type,
- #      and Domain, I found it necessary to disable the function that performs
- #      this task in an incomplete, leaving the user to complete autonomy in
- #      entering any data. Obviously the real formal check will be made by
- #      PostgreSQL when creating objects.
- #      The problem was highlighted with the use of keyword CURRENT_DATE as
- #      default for a date field, the syntax provides different settings,
- #      depending on the version of PostgreSQL used, and not always accepted
- #      as valid. For the old projects will require a manual review.
- #      (I thank my friend Florent Thomas for analyzing and reporting the
- #      problem).
- # BUG: Fixed a bug that occurs when deleting a table relationship.
- #      (Report made by his Florent Thomas).
- # NDA: Program compiled with version 2.15.2 of Gambas.

* Sat Jul 11 2009 Luigi Carlotto <md9327@mclink.it> 1.2.10
- # ---------------------------------------------------------------------------
- # NEW: Added driver for version 8.4 of PostgreSQL with some limitations,
- #      which were not implemented all the features of this news release.
- # NEW: Thanks to the contribution of Vladislav Levitskiy was added to the
- #      translation into Russian language.
- # BUG: Fixed a problem with the function CSqlPrint (), which is not properly
- #      constructed queries containing the syntax "CHECK ()" for fields in
- #      tables.
- # NDA: Program compiled with version 2.15.2 of Gambas.

* Thu Mar 12 2009 Luigi Carlotto <md9327@mclink.it> 1.2.9
- # ---------------------------------------------------------------------------
- # BUG: Fixed an error when reading the tables and indexes, relating to the
- #      membership of the tablespace.
- # NDA: Program compiled with version 2.11.1 of Gambas.

* Thu Jul 31 2008 Luigi Carlotto <md9327@mclink.it> 1.2.8
- # ---------------------------------------------------------------------------
- # BUG: Deleted control of congruence between the tables of a report, during
- #      the loading of the project by XML file.
- # BUG: Fixed an error during the loading of projects by sql files, in the
- #      definition of the tables in a report if they are reported to the same
- #      object table.
- # BUG: Fixed a problem in the redesign after the use of function
- #      reorganization of the diagram.
- # NDA: Program compiled with version 2.7.0 of Gambas.

* Mon May 26 2008 Luigi Carlotto <md9327@mclink.it> 1.2.7
- # ---------------------------------------------------------------------------
- # BUG: Fixed a mistake on the version control during the loading of project
- #      files.
- # BUG: Fixed a problem of conversion during the loading of field sizes, if
- #      they are empty.
- # NDA: Program compiled with version 2.6.0 of Gambas.

* Fri May 23 2008 Luigi Carlotto <md9327@mclink.it> 1.2.6
- # ---------------------------------------------------------------------------
- # NEW: Use of Domains in the definition of fields of the table, adding the
- #      attribute Domain in class CPgTableField. If you select a domain, data
- #      from the field will take the information on the domain, and in the
- #      form edit will be disabled their control.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: Added new types "tsvector", "tsquery", "txid_snapshot", "uuid" and
- #      "xml" for PostgreSQL 8.3.
- # UPD: Added the command "INSERT OR UPDATE" for items trigger.
- # UPD: Inserting a control on the values dimension of the fields of the
- #      table, so as to avoid mistakes with the characters separators decimal
- #      places.
- # UPD: Adding the conversion of strings to UTF-8 to ISO-8859-1.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The format of project files INI was amended; was added an additional
- #      parameter to indicate whether the field belongs to a domain or is a
- #      normal field.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The format of project files XML is varied; was added the new attribute
- #      to the Domain TABLEFIELD, to indicate whether the field belongs to a
- #      domain or is a normal field.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The press reports in HTML format was changed to allow the addition of
- #      labels Tables, Comments and Domain Field.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The press reports in TXT format was changed to allow the addition of
- #      labels Tables, Comments and Domain Field.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: Additions some level features code.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The extraction procedure SQL has been amended with the implementation
- #      of the values of Default for Domini and for the fields of Table.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The window of edit fields table was implemented with the logic of
- #      Domains.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The list of fields in the window edit tables has been implemented for
- #      a column to display the domain.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # UPD: The window of the parameters of export to file SQL has been amended to
- #      allow the proper display of strings.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # BUG: Fixed some bugs in the process of reverse-engineering database.
- # BUG: Fixed an error display commands in SQL tab "DDL" in the form of
- #      amendment of the trigger.
- # BUG: Fixed some errors in the decoding process uploading files SQL, in
- #      particular the key word "ONLY" "ALTER TABLE" and the creation of the
- #      indices of tables.
- # BUG: Fixed some minor bugs in relation to the functions you selection of
- #      objects from the tree.
- # BUG: Fixed a problem with the quotes in the property Default Field.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # BUG: Fixed some mistakes in the process of uploading files SQL, for the
- #      objects of type Type, Table and Domain.
- #      (Adding Luis Gonzalo Constantini Von Rickel).
- # BUG: Fixed a problem with the size of columns for items trigger the
- #      creation of the report in pdf format.
- # NDA: The procedure for loading of projects from files SQL, regarding
- #      procedures currently detects only code delimited single peak, and no
- #      other delimiters. If necessary, it is necessary to manually editing
- #      the file by any text editor.
- # NDA: Program compiled with version 2.6.0 of Gambas.

* Wed Apr 23 2008 Luigi Carlotto <md9327@mclink.it> 1.2.5
- # ---------------------------------------------------------------------------
- # BUG: Fixed some bugs related to the loading and saving projects.
- # BUG: Fixed some bugs in class CPdfWriter.
- # NDA: Program compiled with version 2.5.0 of Gambas.

* Sun Apr 20 2008 Luigi Carlotto <md9327@mclink.it> 1.2.4
- # ---------------------------------------------------------------------------
- # BUG: Fixed some minor bugs related to the functions you select objects from
- #      the tree.
- #      (Bugs reported by Luis Gonzalo Constantini Von Rickel).
- # NDA: Program compiled with version 2.5.0 of Gambas.

* Tue Apr 08 2008 Luigi Carlotto <md9327@mclink.it> 1.2.3
- # ---------------------------------------------------------------------------
- # NEW: Added driver for PostgreSQL 8.3.
- # NDA: Program compiled with version 2.5.0 of Gambas.

* Thu Apr 04 2008 Luigi Carlotto <md9327@mclink.it> 1.2.2
- # ---------------------------------------------------------------------------
- # NEW: Adding the ability to define the size of the plan, the options window
- #      has been changed accordingly. To prevent objects being found out by
- #      the new margins, the coordinates will be automatically reset, placing
- #      objects in the diagram out diagram.
- # NEW: Adding the ability to define the background color of the paint, the
- #      options window has been changed accordingly. The setting is stored
- #      globally in the configuration file of the programme.
- # NEW: By changing the name of a table, in the edit window, it also changed
- #      the name of the default primary key defined with the same table name
- #      plus the suffix "_pk". And 'can change this setting, directly
- #      modifying the name field primary key.
- # UPD: Added a control over duplication of items on insertion into tree
- #      project, in case of duplication is presented an error message and the
- #      name is not added to the list.
- # UPD: Items Relation duplication is allowed, as long as the uniqueness of
- #      references to the tables is respected.
- # UPD: Excluding the items in Relation Area, it allowed the duplication of
- #      names of objects only if different type.
- # UPD: Some optimizations to increase the speed of drawing.
- # UPD: Some corrections in the French translation, by the friend Henri Girard.
- # UPD: For new projects are set colors stored in the configuration file of
- #      the programme, differently from what happened before, where the colors
- #      were taken by default preset.
- # BUG: Fixed a problem in the function of loading project files sql; added
- #      some controls on the transformation from a string numeric values.
- # BUG: Fixed some problems in the function of loading projects sql files.
- # BUG: Fixed a problem decoding objects Sequence function of loading projects
- #      sql files.
- # BUG: Fixed some errors and reset logic nomenclature objects Relations.
- # NDA: Program compiled with version 2.4.1 of Gambas.

* Wed Mar 05 2008 Luigi Carlotto <md9327@mclink.it> 1.2.1
- # ---------------------------------------------------------------------------
- # BUG: Fixed a problem in the function of saving a new project.
- # NDA: Program compiled with version 2.2.1 of Gambas.

* Sun Feb 03 2008 Luigi Carlotto <md9327@mclink.it> 1.2.0
- # ---------------------------------------------------------------------------
- # UPD: Changes adaptation to the new version of Gambas2.
- # UPD: Improvements to the code.
- # BUG: Fixed a problem in loading areas of a report during the procedure
- #      reverse-engineering.
- # NDA: Program compiled with version 2.0.0 of Gambas.

* Fri Nov 30 2007 Luigi Carlotto <md9327@mclink.it> 1.1.0
- # ---------------------------------------------------------------------------
- # NEW: Changed the whole application logic, as well as the interface of the
- #      main window and the project.
- # NEW: Adding the toolbar in the application window, with a few buttons
- #      utility in the main menu. The bar is located under the main menu, and
- #      can be hidden acting in the general configuration.
- # NEW: Implementation of the search function of objects within the projects
- #      open. The research will be carried out on the names of all objects in
- #      all projects open (active or not), which correspond, in whole or in
- #      part, the string set in the dialog box and the result is shown in a
- #      list on the same window, complete with all references to each subject.
- #      The search can be made on the name, in which case you can enter in the
- #      classical string wildcards (eg '*', '?', Etc..). The function is under
- #      the Edit menu in the main menu.
- # NEW: If executed by a shell, you can go to a list of files to be set by
- #      typing below the name of the program the names of the project file
- #      (ini formats and XML, excluding sql) complete the directory in which
- #      they are present. The absence of the file does not cause any error
- #      messages or warning.
- # NEW: In the editing window objects Table, in the list of columns has been
- #      added a feature that allows you click with your mouse in a field,
- #      placing or less in the primary key.
- #      (Adding proposal and written by Rodrigo Ramirez Norambuena).
- # NEW: By placing the mouse over a label of projects open bar, a tooltip with
- #      some information about the project assets (if the function is enabled
- #      tooltip).
- # NEW: Now you can create the documentation of the project in pdf format,
- #      thanks to a new library. The new modules PdfWriter and PdfWriterFont
- #      do my part of another project
- #      (http://sourceforge.net/projects/pdfwriter/),
- #      which is ported in Gambas the famous library FPDF
- #      (http://www.fpdf.org),
- #      written originally as PHP language support, and I hope that this news
- #      is useful only as a demonstration of the potential of this library. In
- #      this version, I set a fairly simple document, as well as formats for
- #      text and html. For the production of the report, in addition to basic
- #      library is been created class PrintPdf for managing print header and
- #      the bottom of the pages following the logic of the new library. After
- #      saving the file, the report will appear in the format chosen on a
- #      dialog box.
- # NEW: Adding an option for automatically saving projects open. In the dialog
- #      settings general is the new option in the form of a field in which
- #      enter or select the period of time between saves. This time is
- #      expressed in minutes, in steps of 5 minutes, the change takes account
- #      of this and automatically corrects the values manually entered
- #      bringing the value to a number of 5 lower. A value of zero disables
- #      the function. The feature is disabled by default.
- # NEW: When creating a report has been added a feature that adds the fields
- #      belonging to the primary key in the establishment of origin in the
- #      destination table, the operation is performed only if the fields are
- #      not already present. If the creation of the report is canceled, added
- #      fields are eliminated. In addition, the new feature provides an
- #      automatic combining the fields of the two tables, putting related
- #      fields with the same name, taking as reference the key fields of the
- #      table of origin; remains available to the user the ability to alter
- #      this association.
- # NEW: For objects of type Area has been added Bold ownership, which allows
- #      you to set the release of the text in bold.
- # NEW: The status bar has been added information on the current printer
- #      settings on the current project.
- # NEW: In the modified procedure was added a button that opens a dialog box
- #      where you can select, with the double click of the mouse, one of a
- #      kind provided by the driver Postgres, the name of the type selected
- #      will be added in the declaration of input parameters the procedure.
- #      The list appears in the window includes the name of the type is a
- #      brief description of its significance.
- # NEW: For items you can define table showing details of the type of fields.
- #      The option is included in the general settings, and it is only if you
- #      are displaying details. As with all other options general, the
- #      approach will be applied on the project or, optionally, on all
- #      projects open, but at the moment it is not possible to define viewing
- #      on a single display.
- # UPD: In this new version has been made a complete restructuring, both for
- #      the internal logic in that interface, for this and other reasons, all
- #      objects have undergone a change of name, some were eliminated, and
- #      they also added new ones. In particular, now a single project is
- #      managed for logic and interface from PProjectPanel, while project
- #      management is controlled from CApp as before. Some objects, grouping
- #      for convenience and functionality, were classified as derivatives (or
- #      children) of objects already present, in order to reduce duplication
- #      of code.
- # UPD: Changes upgrade to the new version of Gambas2: cleanliness initial
- #      objects Image before the redesign, conversion degrees Radiant for the
- #      functions on objects Image.
- # UPD: For weblink will now be called the default browser system, it is this
- #      one, otherwise the browser will be used internal pgDesigner. Classes
- #      CApp, FAbout and FHelp were adjusted for the new management of web
- #      links.
- # UPD: Added features in some classes CUtil and CHtml.
- # UPD: Improvements of internal logic, especially the functions of management
- #      of the database.
- # UPD: Modified the boot and the window initial preferences. The strings in
- #      combobox window preferences are now displayed in the language system
- #      and the labels of the window are not updated on what is selected.
- # UPD: The windows change the data object was added a field for viewing the
- #      Scheme to which the item. Currently the field is read-only, and the
- #      default value is the classic "public" used in PostgreSQL, but it is
- #      possible that it is managed in future versions.
- # UPD: In the dialog box for selecting generic file is now displayed the
- #      directory where the project is located (if any), otherwise will set
- #      the home directory (eg for new projects).
- # UPD: The extension HTM is no longer managed, and remains valid HTML
- #      extension.
- # UPD: In the procedures for creation of database and the file has been added
- #      sql option "IF EXISTS" to the objects that so provides. The option is
- #      to be used exclusively for versions 8.2 and newer PostgreSQL.
- # UPD: Some minor changes in the edit window objects.
- # UPD: The colors of objects hours reflect changing settings in the options
- #      window. It should be borne in mind that the changes in the global
- #      property will be reflected on all open projects; any customization
- #      will be overwritten.
- # UPD: The functions of reading and writing project file has been changed. In
- #      particular, the code of procedures and definitions of the text of the
- #      remarks hours will be coded strings in hexadecimal values in UTF-8.
- #      The project files of the previous version will be read normally, but
- #      converted the subsequent rescue. This change will probably slight
- #      slowdown in read and write operations, but will avoid problems
- #      conversion of texts. In the next release is possible that this
- #      parallelism will no longer run.
- # UPD: Now objects Area, if selected, are outlined in margin dashed.
- # UPD: Area Objects can now be designed using the mouse. The size change can
- #      be performed by pressing the left mouse button on the right and bottom
- #      edges of the object, next to the dashed line. Remain unchanged
- #      functions movement, pressing the left mouse button and dragging within
- #      the object to the desired location, and downsizing through inclusion
- #      of value in the dialog box. It should be borne in mind that an object
- #      Area must be created initially in an area of empty plot and must be
- #      larger than 50x50 pixels, or will be automatically deleted; same
- #      behavior during the subsequent dimensioning.
- # UPD: In Trigger objects has been added property COMMENT.
- # UPD: In the report were added comments on the missing objects and Table
- #      Trigger.
- # UPD: The buttons in the dialog boxes were slightly resized to show any
- #      improvement in the text of the button in the various configurations of
- #      language and graphic engine.
- # UPD: The dialog print diagram has been completely revolutionized. The
- #      entire plot is divided into pages relative to the current
- #      configuration of the press, and presented in a list of graphics by
- #      selecting a page from the list, it is marked as active page and
- #      displayed in larger size. Each page contains basic information of the
- #      project, the page number and the date it is produced. On top of the
- #      window displays some basic information of current print format, which
- #      you can edit through the setup button, always on the same window; any
- #      change in configuration of the press will be reflected on the diagram
- #      that will be recalculated on the basis of the format print selected.
- #      As in the previous version, you can print the entire chart on a single
- #      page, and save it to file image, in the case of most pages produced
- #      many files as there are pages numbered in the order they are presented
- #      on the window. The print resolution is fixed and is set to 150 pixels.
- # UPD: If the option of displaying details is active for objects of type
- #      procedure appear types of input parameters and output with appropriate
- #      icons.
- # UPD: The font details of the objects was changed to Courier 8. With this
- #      change, the types of fields are put in columns in an optimal way,
- #      making the diagram more readable.
- # UPD: Changes made in the dialog box options application will be implemented
- #      in a comprehensive manner on all open projects; customers on
- #      individual items will be overwritten. In any case will be presented to
- #       rescue a warning with the possibility of annulment.
- # UPD: The attachment point of final reports to the table daughter has been
- #      transformed into an arrow, in order to improve the visualization of
- #      relations in the graph.
- # UPD: It was added a button in the dialog box that is presented at to see if
- #      projects are not modified and saved this new button allows you to
- #      abort the closure of pgDesigner.
- # UPD: When you see the details of the objects is disabled, the size of the
- #      object is now reduced to a minimum by only displaying the name. For
- #      items that do not have details to be displayed, such as Domain and
- #      Sequence, size will always be reduced to only name of the object.
- # UPD: The Print Report item in the main menu has been transformed into yet
- #      another submenu from which you can select the format of reports. The
- #      toolbar has the same approach with three distinct icons.
- # UPD: The menu window statistics project has been implemented with
- #      additional items, to allow the lists to save on text files.
- # UPD: Deleted control over the creation of multiple reports on the same
- #      tables.
- # UPD: Objects Stamp, if selected, are outlined in the contour line in red.
- # UPD: The font label relations has been reduced to 7pixel, and was also
- #      eliminated the frame around label.
- # UPD: In the editing window objects Table and TableField was added a message
- #      confirming the cancellation of fields. During the cancellation of a
- #      field verified the existence of the same in relations linked to the
- #      table and, if present, will be deleted all references to field erased
- #      if the relation was the sole reference, the same relation will be
- #      eliminated from the project.
- # BUG: Fixed a problem with double quotes in the names of objects while
- #      capturing information from database or file sql.
- # BUG: Fixed a problem when you exit the application if there is a serious
- #      mistake, then you see the error message.
- # BUG: They should have been fixed a few problems viewing and management of
- #       objects Area, in particular the integration with the display.
- # BUG: Fixed a bug that caused a problem when loading files project in XML
- #      format.
- # BUG: Correct an error in the configuration window, which appeared incorrect
- #      colors in the examples, in particular the card colors for text
- #      processing.
- # BUG: Correct an error in the dialog box, during the default colors for
- #      objects of type TEXT.
- #      (Bug reported and corrected by Rodrigo Ramirez Norambuena).
- # BUG: Correct an error in the connection window to amend the tablespace.
- #      (Bug reported by Florent Thomas).
- # BUG: Fixed a problem with the allocation of tablespace in the windows to
- #      amend the table and index.
- # BUG: Fixed a small problem in the settings dialog box of colors, with the
- #      update of the examples following the restoration of the default
- #      colors.
- # BUG: Fixed a problem uploading files sql, caused by an error in the reading
- #      program and the creation of indices tables.
- # BUG: Fixed a small problem in the process of creating database on the
- #      management of the definition of procedures.
- # BUG: Fixed a problem with the definition of CHECK columns on the table,
- #      which was not managed properly and not displayed in DDL and exports
- #      sql.
- #      (Bug reported by Florent Thomas).
- # BUG: Correct an error in the dialog box for changing the field of a table,
- #      which incorrectly interpreted in the value of the size of the field if
- #      it was empty (zero). In the procedures of creating sql command the
- #      size of the field is not taken into account if its value is zero.
- #      (Bug reported by Silvio A. Orta and Carlos D. J. Pinto B.)
- # BUG: Fixed a problem with the creation and design objects Relation, which
- #      in some cases created blocking the program because of a NULL value.
- #      (Bug reported by Silvio A. Orta and Carlos D. J. Pinto B.)
- # BUG: Fixed a problem with the design of the printer margins in the printing
- #      of the diagram. Now margins comply with the size and format of the
- #      current page of the press.
- # BUG: Fixed a problem with the display of objects TEXT.
- # BUG: Correct an error in the procedures for reading and writing project
- #      files in XML format, for the objects AREA.
- # BUG: Fixed a problem with the definition of datatypes in class CPostgres82.
- # BUG: Fixed a problem decoding comments on the project by uploading a file
- #      sql.
- # BUG: Fixed a problem in the management of the display, tied to the deletion
- #      and modification of existing display.
- # BUG: Fixed small bugs during a font for objects Stamp.
- # NDA: Program compiled with version 1.9.91 of Gambas.

* Sun Aug 26 2007 Luigi Carlotto <md9327@mclink.it> 1.0.1
- # ---------------------------------------------------------------------------
- # UPD: Modifications of the objects of database for a greater control of the
- #      data regarding the version of PostgreSQL used in the plan.
- # UPD: Modifications of the function of import from rows sql, with adding of
- #      the controls on the compatibility of the objects with the version of
- #      PostgreSQL of default.
- # UPD: Modifications on the controls in the windows of dialogue for the
- #      parameters of import/export on database. In particular check of
- #      objects TYPE not disabled check for the TABLE and the PROCEDURES,
- #      than previously it was inserted in order to avoid errors in the case
- #      these last ones contained types constructed from the customer.
- # BUG: Corrected a problem with the loading and the management of objects
- #      TYPE of PostgreSQL. The window of dialogue for the management of this
- #      type of object modification has been modified of consequence.
- #      (kindly marked bug from Antonio Prado)
- # NDA: Program compiled with version 1.9.50 of Gambas.

* Mon Aug 20 2007 Luigi Carlotto <md9327@mclink.it> 1.0.0
- # ---------------------------------------------------------------------------
- # NEW: Added the translation in Chinese of the witnesses and the messages,
- #      thanks to the contribution of the friends Henri and Yanqing Girard.
- # NEW: Added the push-button of "Connection Test" in the window of login, for
- #      the verification of the logon parameters.
- # NEW: In the window of edit of the tables it has been added the Triggers
- #      folder, that it visualizes the directory of the trigger connects you
- #      to the same table. Through the same card it is possible to directly
- #      manage the trigger of the table, to create some of new, to modify
- #      them or to cancel them.
- # NEW: The selection with the double click of the left key of the mouse, in
- #      the list of the Display in the window "Statistics of plan", renders
- #      assets the display relative. Same identical behavior selecting an
- #      element in the lists objects or you live, that it renders assets the
- #      evidenced object. If the object is found to outside of the visible
- #      area, will come carried out scroll an automatic rifle so as to to
- #      visualize the object.
- # NEW: During the selection of an object (manual or automatic rifle), if this
- #      is found to outside of the visibility, the window will come carried
- #      out the scroll until the point in which the object will be found.
- # NEW: In the window of edit of the procedures it has been added to the
- #      folder Connections, that it visualizes the directory of the objects
- #      that make reference the selected procedure (triggers, other
- #      procedures). The connection with other procedures happens analyzing to
- #      the content of the definition, verifying the presence of the name of
- #      the selected procedure.
- # NEW: In the window of edit of the tablespace it has been added to the
- #      folder Connections, that it visualizes the directory of the objects
- #      that make reference the tabelspace selected (tables, indices).
- # NEW: A new object has been inserted: "Stamp", that it visualizes in the
- #      diagram some information of identification of the plan. The object can
- #      be managed like all the other objects of the plan, but it cannot be
- #      modified; the visualized information come dawned automatically to
- #      every modification of the plan.
- # NEW: Added the possibility to modify the every color of single object; in
- #      menu the Modification of the menu main and the menu popup Color has
- #      been inserted the voice "object". The general configuration of the
- #      colors is remained equal, except for the fact that the management
- #      comes carried out to total level like base formulation; every new
- #      object will come therefore created with the colors shapes to you in
- #      the formulations generates them, allowing later on the modification
- #      for every object singularly and distinguished. The formulation will
- #      come maintained also in phase of press of the diagram. For this
- #      innovation it has been necessary to modify the structure of the plan
- #      rows, that they will come modernizes you automatically to the rescue.
- # NEW: Added two push-buttons in the window of formulation of the display,
- #      that they allow to select or less all the elements of the list.
- # NEW: In the rows of configuration of the application it has been added an
- #      ulterior voice "MaxRecent" that allows to set up the maximum number of
- #      voices in the list of the last open plans present in menu the Rows. In
- #      any case, the maximum number must be comprised between 0 and 30.
- # NEW: Added the new static class CColor, that it contains the formulations
- #      of default of the colors; they have been modified all the inner
- #      references to the application so as to to head for this new class.
- # NEW: Added the possibility to copy objects between open plans. The
- #      functionality is accessible dal menu main and dal menu popup, on
- #      selection of an object dal active plan. The copy is possible for all
- #      the objects to exclusion of trigger, relations and stamp, since it is
- #      not possible to associate valid references in the destination plan.
- #      For this reason that in the new objects created during the copy they
- #      will come rendered invalids all the link active presents in the object
- #      originates them. Various for the sights, since it does not come less
- #      carried out some control on the existence or of the references
- #      included in the query, the verification and the eventual modifications
- #      comes left the customer.
- # NEW: Implemented a function for the modernization of the tooltip during the
- #      insertion of a type of variable PostgreSQL in the dialogue windows
- #      that preview it. The tooltip it visualizes the information of base of
- #      the selected type. For being able however to visualize the tooltip it
- #      is necessary that this functionality is active.
- # UPD: The dialogue window begins them for the selection of the language has
- #      been modified, with the added one of the escape push-button.
- # UPD: The window of About has been dawned.
- # UPD: In order to render the movement of the objects in the diagram of the
- #      plan faster small modification in logic of the program has been
- #      executed one: during the dragging of the object it will not come
- #      carried out the modernization automatic rifle of the relations, that
- #      it will come completed to the term of the movement and the release of
- #      the left push-button of the mouse. This modification has been
- #      introduced because of the continuous modernization of the relations
- #      and an excessive slowing down during the dragging in plans with a high
- #      number of objects.
- # UPD: Some small modifications in the CConfig class for the reading of the
- #      directory of the recent plans.
- # UPD: Since Gambas2 still does not have a system of management of the errors
- #      database, in the log they will come saved the query that they cause
- #      error.
- # UPD: The DbExport class (creation of database the physicist) has been
- #      modified with the added one of an algorithm of ordering of the objects
- #      on the base of the relation between of they. An example is that one of
- #      the sights, whose tables or sights members the query determine the
- #      creation order, so that the relative objects you come created before
- #      the same sight. The modification replaces the previous logic that
- #      execute continuously the creation of the objects in error case.
- #      Moreover it has been increasing consequently also the execution speed.
- # UPD: Executed the same modifications of DbExport also for the SqlPrint
- #      class of creation of the rows sql; moreover it has been optimized the
- #      code in order to render the execution faster.
- # UPD: Some small modifications of the classes DbImport, ProjectIni and
- #      ProjectXml (under classes comprised) for the management of the errors
- #      of database.
- # UPD: Hour the TreeList of plan comes initially introduced in expanded
- #      modality.
- # UPD: Executed some variations in preparation of one future management of
- #      the Outlines of database.
- # UPD: In the title it of the windows of modification of columns and indices
- #      it has been added the name of the reference table.
- # UPD: The window of management of the colors of base of the plan has been
- #      modified, dividend in folder separated the groups of color.
- # UPD: Part of the menu main has been redesigned, in particular they have
- #      been eliminated the relative voices to the general formulation of the
- #      colors and all the menu of management of the type of visualization of
- #      the objects. Menu the Show has been replaced from menu the
- #      Instruments, while through the voice Options it is possible to open
- #      the window of modification of the Options generates them, with which
- #      is possible to visualize and to modify all the formulations that
- #      previously were managed from the menu main.
- # UPD: In order to avoid confusions it has been inhibited the menu popup in
- #      treelist on the tracking of the fields of the tables and the sights.
- #      Hour the menu comes only visualized in correspondence of the objects
- #      fathers (tables and sights); the function is remained unchanged for
- #      the rest of the objects.
- # UPD: During the rescue of the plan rows, it comes carried out the copy of
- #      the rows originates them with extension bak. This adding has been
- #      inserted like rescue system of the plans and in order to avoid
- #      confusions with the type rows ini.
- # UPD: Some modifications in the graphical formulations of the dialogue
- #      windows.
- # UPD: Some modifications, controls and optimizations in the logical ones of
- #      the application.
- # BUG: Corrected a problem of visualization of the window of log in error
- #      case.
- # BUG: Corrected the visualization of the text in the window of log, improved
- #      the reading with various colorations of the text.
- # BUG: Corrected a problem in the rescue of the plan when the application
- #      comes sluice.
- # BUG: Corrected a problem in the procedure of rescue in xml of the plan,
- #      caused from one classic operation of division for zero (kindly marked
- #      one from Christophe Chauvet).
- # BUG: Corrected a problem of modernization of the lines of relation after
- #      the modification of an object Area.
- # BUG: Corrected a problem of selection of the relations through the click of
- #      the mouse; moreover, the tracking algorithm has been modified so as to
- #      to render the tracking and the selection of the relation line easyr
- #      and precise.
- # BUG: Corrected a problem with the function of modification of the version
- #      of PostgreSQL of the plan, during the procedure of adaptation of the
- #      objects.
- # NDA: Program compiled with version 1.9.50 of Gambas.

* Tue May 29 2007 Luigi Carlotto <md9327@mclink.it> 0.0-41
- # ---------------------------------------------------------------------------
- # NEW: Begun the translation of the help in French, thanks to the
- #      contribution of the friend Henri Girard.
- # NEW: Help online, the all comprised the rows HTML, hour are available on
- #      various rows compressed. The installation of the help can happen in
- #      according to time or omitted, in this case the pages will come loaded
- #      from the situated one web.
- # BUG: Corrected an error in the qualification of the push-buttons of the
- #      objects selecting version 8.2 of PostgreSQL.
- # NDA: Program compiled with version 1.9.49 of Gambas.

* Sun May 27 2007 Luigi Carlotto <md9327@mclink.it> 0.0-40
- # ---------------------------------------------------------------------------
- # NEW: Adding translation in French of the witnesses and the messages, thanks
- #      to the contribution of the friend Henri Girard.
- # NEW: New additions inner classes (CDrag, CMouse, CErrorProce ShowError),
- #      respective for the inner control of the dragging, the position of the
- #      mouse, the management of the errors inner to the I/O procedures, the
- #      visualization of the system errors.
- # NEW: Modified logic of design of the relations between the tables, hour
- #      the relations come identified with: continuous line if the fields
- #      belong to the primary key of the table daughter, line to points if
- #      the relation has set up clause RESTRICT, line to point/line for all
- #      the other not identificative relations.
- # NEW: The windows of dialogue for the modification of the objects have been
- #      modified, with adding of a folder where it is possible to see in
- #      preview tightens it DDL constructed from the program on the base of
- #      the inserted parameters.
- # NEW: In the window of dialogue for the modification of the data of every
- #      object it has been added one new folder that it visualizes the
- #      relations father and son with the other objects of the plan.
- # UPD: Modernized some tied functionalities to the new version of Gambas2
- #      (es. OPEN, Object.IsValid, TextView, NULL' s, etc).
- # UPD: Logic of creation of the objects Area has been modified, hour it is
- #      not more possible to create areas directly on the diagram and has been
- #      added an appropriate voice in the menu.
- # UPD: The window of selection of the language has been modified; the
- #      visualized language as default in the combobox it comes determined
- #      from that one set up in the system, and comes automatically redesigned
- #      the written ones of the dialogue window.
- # BUG: Corrected an error in the query getConstraints() contained in the
- #      DBPostgres70.class class.
- # NDA: Program compiled with version 1.9.49 of Gambas.

* Mon Jan 22 2007 Luigi Carlotto <md9327@mclink.it> 0.0-39
- # ---------------------------------------------------------------------------
- # NEW: To the start of the application it comes introduced a dialogue window,
- #      that it allows to set up the language, so as to to avoid to set up it
- #      from commando line.
- # UPD: Modernizations for the new version of Gambas.
- # BUG: The windows EditTable, ViewWizard and ShowStatistics have been
- #      modified in order to correct a problem with the objects TableView of
- #      Gambas. These objects have been replaced with GridView objects.
- # NDA: Program compiled with version 1.9.47 of Gambas.

* Sun Jan 15 2007 Luigi Carlotto <md9327@mclink.it> 0.0-38
- # ---------------------------------------------------------------------------
- # NEW: Added the module pgDesigner.module, that it executes the launch of the
- #      application.
- # NEW: Added the new CApp class, for the management of the application. All
- #      the controls managed previously from the main window have been
- #      transferred in this new class. The launch comes carried out from the
- #      module pgDesigner.
- # NEW: Added the new CProjects class, like container and manager of the
- #      plans.
- # NEW: Added the new CUtil class, that it contains functions and static
- #      procedures of usefullness and support.
- # NEW: Added the possibility to modify the formulations of color of the
- #      objects. The formulations come conserved in the configuration rows,
- #      under shape of tighten and in the format "r, g, b", and are valid to
- #      total level for all the active and not active plans. An appropriate
- #      window allows to vary the configuration of base in every moment; the
- #      variations come immediately applied on all the open plans.
- # NEW: Added the possibility to visualize the division of the diagram in
- #      pages; in practical in the diagram they come visualized of the lines
- #      of demarcation between the component pages the graphical suit, that
- #      they respect the real dimension of the format of the press page. In
- #      the menu "Show" has been added the voice "Visualizes pages" in order
- #      to allow the management of this new formulation. To keep in mind who,
- #      if activated, this formulation can slow down the refresh of the
- #      diagram, because of I redesign of the lines to every change.
- # NEW: Added one new functionality, that it allows to define of the areas,
- #      profits in order to evidence the objects in groups work them. These
- #      zones have rectangular shape, with color defined from the customer,
- #      and on which a single one can be inserted tightens of text, like
- #      famous descriptive of the area. The dimension begins them of the zone
- #      comes defined in phase of creation, to clicked in a point of the
- #      design area, and dragging the mouse until when the intentional
- #      dimension is not caught up. For the management of this new object it
- #      has been added in the plan the new WArea class. The modification of
- #      the formulations comes carried out through an appropriate window of
- #      dialogue, selecting the object with the skillful text of mouse or the
- #      double quantity click; it is possible to modify of the text, the color
- #      of filling, the coordinates and the dimensions of the rectangle, or to
- #      eliminate it from the plan. The objects of this type will come save
- #      you with to all the other elements in the plan rows. To keep in mind
- #      who the management of this type of object holds account of the order
- #      of creation in the plan, for which the last elements they will cover
- #      always those previous ones if overlapped; moreover and it is visible
- #      single in the display on which it has been created. In the menu main
- #      it has been added one new voice for the formulations of visualization
- #      of this object.
- # NEW: Added the possibility to create a plan loading the information from
- #      rows containing commandos sql. The loading can be carried out through
- #      the same procedure of loading of the plans, selecting opportunely the
- #      rows from disk with the correct extension. At the moment this function
- #      is still in a phase of test, for which errors with rows can be taken
- #      place not correctly set up to you.
- # NEW: Added the CLog class for the management of the log files for the
- #      messages and the errors applied to you. At the moment in the log the
- #      errors gushed from the procedure of creation of the database come
- #      saved.
- # NEW: In the menu main, under the heading of It visualizes, it has been
- #      added the call for the visualization of the log of the application.
- # UPD: Modified the name of the main window of the application in MainForm,
- #      than hour it comes launch and managed from the new CApp class.
- # UPD: The CObjects class has changed name in CObjectContainer, and has been
- #      modernized and restructured some inner functions, procedures and
- #      property.
- # UPD: Modified and restructured some functions and objects of the
- #      application relatively to the insertion of the new CApp class.
- # UPD: In the dialogue window, for the formulation of the co-ordinate new of
- #      the object, it has been added a control that it avoids the movement
- #      beyond the dimensions of the graphical area.
- # UPD: Carried out some optimizations of the WRelation object.
- # UPD: The cancellation of a WType object determines the modification of all
- #      the references on all the objects. In particular, the reference to the
- #      type, in the parameters of a procedure, will come replaced with
- #      "undefined"; the type, relatively to the fields of tables and
- #      dominions will come set up to the value of default
- #      "character varying".
- # UPD: Ulterior assistants controls on the property of the PostgreSQL objects.
- # UPD: Added the new classes CGraphicArea and CTreeList, respective for the
- #      management of the area of design and the directory of the objects of
- #      the plan, in such way to separate the functionality of these objects
- #      from the CProject class, and to slim of the code.
- # UPD: In the function of press of the report of plan it has been added the
- #      possibility to select rows with extension "htm".
- # UPD: Modified the functions of reading and writing of the plan rows,
- #      relatively to the formulations of the display (or seen of plan). This
- #      could cause a wrong interpretation in the reading of the rows created
- #      with previous versions; in this case it is necessary to modify the
- #      rows with a editor of text, unfortunately with the consequent loss of
- #      the formulations, eliminating in the rows with extension "ini" all the
- #      lines that they exactly begin with "Display[", or all the lines that
- #      they exactly begin with "<DISPLAY" and "<DISPLAYOBJECT" in the rows
- #      with extension "xml". In any case the objects in the display main will
- #      remain unchanged. To in any case make a backup of the rows before
- #      carrying out whichever variation.
- # UPD: The classes ProjectIni and ProjectXml have been climbed for
- #      functionality, respective in: ProjectIniReader, ProjectIniWriter,
- #      ProjectXmlReader and ProjectXmlWriter. This in order to lighten the
- #      code, to render it more leggibile, and to reduce the dimensions of
- #      memory occupied during the creation of these objects. The two previous
- #      classes make hour from father the new, and contain the definition of
- #      some of the common property to the classes daughters; moreover they
- #      determine the version of the rows plan that can be loaded and be
- #      written, various from how much happened previously, setting up it with
- #      the version of the application. From hour in then the version of the
- #      plan rows numeration distinguished from the version of the application
- #      will follow one.
- # UPD: The inner functions to the CProject class, for the reading and the
- #      writing of the plans, import and export from and towards the database
- #      and on rows, the management of the parameters, have been transferred
- #      in the new CApp class.
- # UPD: The ReportPrint class has been climbed for functionality in:
- #      ReportPrintText and ReportPrintHtml. This in order to lighten the
- #      code, rendering it more readable, and to reduce the dimensions of
- #      memory occupied during the elaboration. In any case the previous class
- #      remains like father to the new, and contains the definition of some of
- #      the common property to the classes daughters.
- # UPD: Restructure and clean of the entire application.
- # BUG: Corrected a small problem of it decodes of the definition sql of the
- #      View object.
- # BUG: Corrected an error in the function of copy of an object.
- # BUG: Corrected a problem with the cancellation of the relations during the
- #      cancellation of the relative table.
- # BUG: Corrected a problem of loading of the WType objects with the function
- #      of reverse-engineering from the database.
- # BUG: Corrected a problem of it codifies of the property "Language" of the
- #      type objects procedure.
- # NDA: Program compiled with version 1.9.46 of Gambas.

* Wed Oct 04 2006 Luigi Carlotto <md9327@mclink.it> 0.0-37
- # ---------------------------------------------------------------------------
- # NEW: Added the management of the display (or view). With display (or view)
- #      the possibility agrees to create of the sights of the project, every
- #      containing a group of objects; for group the same logic agrees with of
- #      elements making part of one. As an example: it is possible to define a
- #      display that it contains the sun tables of codifies, or with of all
- #      the procedures. The display it will show in the graphical area the
- #      single objects that make part of the group; an appropriate window
- #      allows to insert or to remove elements from the group, without to
- #      influence in the physical construction of the plan. The management
- #      previews a display of default, called "Main View", that it will
- #      contain all in any case the elements of the project, prescinding from
- #      several the groupings. The relations will come only visualized if in
- #      the display active the relative tables are present. An object created
- #      to the inside of a display various from the "Main View" will come
- #      however created in the display main, same thing if it comes cancelled
- #      an object from the project, this will come eliminated in all the
- #      display on which it was present. A display it can be created, be
- #      modified or cancelled, without to influence on the project. Every
- #      display it comes identified from a name and it can contain one highly
- #      summarized description. The management window is accessible from the
- #      menu main; the selection and the visualization of a display can be
- #      carried out from menu the Project or combobox present under the
- #      directory the object of project, visualized in the area to right of
- #      the window of the program.
- # NEW: In menu the Modification they have been added two voices: "Copy on
- #      display" that it allows to copy the object selected on an other
- #      display, and "Eliminates from display" in order eliminating an object
- #      from the display active. This last voice is qualified single on the
- #      display various from that main one, on which it is not obviously
- #      possible to carry out this type of operations.
- # NEW: To the exit of the application, if they turn out to be present new
- #      projects or modified not still it saves, it comes introduced a warning
- #      window with which it is possible to decide if to proceed to their
- #      rescue  or to cancel all the modifications. In the case confirmations
- #      the rescue, the closing will proceed introducing  messages of every
- #      confirmation for single plan not still saved.
- # NEW: Resolved the problem of the loading of the files of project in format
- #      xml. The modifications completely have changed the structure of the
- #      files of project in format xml, for which the created projects the
- #      previous versions could not be retrieve to you; for being able to
- #      convert the previous projects it is necessary to succeed to load them
- #      with the previous version with pgDesigner and saving them in format
- #      ini. To notice that the time of loading of the rows in format xml
- #      turns out to be slower regarding the type rows ini.
- # NEW: Adding evidentiation of the commandos sql in the extraction window.
- # NEW: In the window of visualization of the commandos sql it has been added
- #      a menu, with which it is possible to print or to save on files the
- #      visualized text.
- # UPD: The printing of the project diagram is modified for the new management
- #      of the display. The management hour print/save the image of the
- #      display active.
- # UPD: Hour it is possible to define the author of the project; the name will
- #      come saved in the project files, and visualized in the printing and
- #      the diagrams.
- # UPD: The display previously saved in the project files hour it immediately
- #      becomes the display active, so as to to be restored in the successes
- #      to you loadings and to be visualized.
- # UPD: Optimization of the menu "Show".
- # UPD: Improvements of the functions of printing of the project diagram.
- # UPD: All the procedures that carry out massive operations hour use the same
- #      window of progression.
- # UPD: Modernized the window of project statistics, with the added one of the
- #      list of the display active.
- # UPD: Modified label PROCEDURESQL in the files of project with the label
- #      PROCEDURES; in any case it comes maintained logic of loading for being
- #      able to read the files of previous versions. To notice that in the
- #      next versions the compatibility more will not be supported.
- # UPD: Rewriting of the objects and the functions of creation sql, and
- #      import/export.
- # UPD: Modernization of the structure of the messages.
- # UPD: Optimization of the classes, the objects and the inner procedures.
- # UPD: Modernizations for the new version of Gambas.
- # BUG: Corrected the activation of the voices of the menu popup.
- # BUG: Corrected a problem of visualization of the relations with the fields
- #      not primary keys, when the detail is set up to hidden. The problem was
- #      taken place alone with the formulation of visualization of the points
- #      of attachment is directed on the fields.
- # BUG: Corrected driver the PostgreSQL for the versions from the 8.0 to the
- #      8.2, because of one query for the survey of the objects sequence in
- #      the database.
- # BUG: The function of creation of the database has been corrected, because
- #      of a problem with the objects sequence.
- # NDA: Program compiled with version 1.9.43 of Gambas.

* Tue Sep 05 2006 Luigi Carlotto <md9327@mclink.it> 0.0-36
- # ---------------------------------------------------------------------------
- # NEW: Added to the management multiproject; hour it is possible to
- #      open/create/modify more projects at the same time. Every single
- #      project has its area of design and its list of objects, is possible to
- #      select a project through the tab present in the tree to the right of
- #      the window of the application or from menu Project. WARNING! To use
- #      with caution, the management is still in phase of test.
- # NEW: Is be added a new algorithm, that it allows to visualize the relations
- #      coupled to the fields of the tables. The departure point comes coupled
- #      on the skillful side of the table father, while on the left side of
- #      the table daughter. Consequently they have been added the respective
- #      voices of menu under "Show/Relations".
- # NEW: The right key of mouse on the title it of the panel active list
- #      objects menu the Project for the running project.
- # NEW: Added a splash screen to the departure of the program.
- # UPD: The MainForm of the application and the CProject object have been
- #      completely restructure you for the management multiproject.
- # UPD: The label "Relation", present in the rows of project XML under the
- #      heading of "RELATION" and that it contains the names of the fields of
- #      an object relation, have been modified in "RelationFields" in order to
- #      avoid confusion with the label father.
- # UPD: Modernized the window of project statistics.
- # UPD: Created one new CObjects class, implemented for one better management
- #      of the program, containing all the objects of the project.
- # UPD: Hour in the list of the objects to right of the screen, the primary
- #      keys and the foreign-key of the tables they come identified with the
- #      same ones icon visualized in the objects on the diagram.
- # UPD: The name of departure of the new projects hour follows one logical
- #      various, using a progressive number in place of the date formatted
- #      current. This logic is implemented for the new management
- #      multiproject.
- # UPD: Is be added property CHECK in the table fields. WARNING! At the moment
- #      it is not possible to import from database the this property.
- # UPD: The window of log has been implemented with a menu, with which it is
- #      possible to save or to print the content.
- # UPD: From the window of the project property it is possible to print the
- #      complete list of the objects and the fields.
- # UPD: The directory for the creation of the files sql and the report of
- #      project it is hour for default the home directory of the user.
- # UPD: Ulterior assistants controls in the windows of editing.
- # UPD: The inner ruotines of the window of press of the project diagram have
- #      been improved.
- # UPD: Some improvements and adaptations to the new version of Gambas2.
- # UPD: The name of some sources has been modified.
- # BUG: Corrected a problem in the window of edit of the object Domain.
- # NDA: Program compiled with version 1.9.40 of Gambas.

* Mon Aug 21 2006 Luigi Carlotto <md9327@mclink.it> 0.0-35
- # ---------------------------------------------------------------------------
- # UPD: It restores the bar of the title it and the push-buttons to you
- #      standard in the dialogue windows, previously disabled you for a
- #      problem with the event of closing from these last ones.
- # BUG: Corrected a problem of the exec with the loading of the icone of the
- #      program.
- # NDA: Program compiled with version 1.9.39 of Gambas.

* Sun Aug 13 2006 Luigi Carlotto <md9327@mclink.it> 0.0-34
- # ---------------------------------------------------------------------------
- # NEW: Added the voice "Creates database", that it allows to directly create
- #      the objects on a database existing. Because of eventual problems that
- #      can derive from several the connections between the objects, the
- #      function tries to create the objects in various passages; to every
- #      passage they come created the objects that are not successful to
- #      create to the previous passage. The maximum number of passages
- #      corresponds to the number of objects contained in the project,
- #      dependent from the outcome of every elaborative step. ATTENTION!!! The
- #      function is still in phase of test; at the moment the modernization of
- #      the objects is not previewed, comprised the creation of the
- #      tablespace, the data contained in the tables comes cancels to you.
- # NEW: Hour it is possible to visualize menu popup also in the list the
- #      objects of the project.
- # NEW: Under the directory of configuration of pgDesigner the folder is
- #      present "log", in which they come saves the log to you of the last
- #      operations of input/output.
- # NEW: Introduced the management of object "TYPE" of PostgreSQL. The
- #      management is incomplete and still in phase of test, to use with
- #      caution.
- # NEW: In menu Show it has been added a new one sottomenu, with some voices
- #      for show/hide the objects in the diagram. All the objects, except the
- #      tables and the relations, can be rendered visible or be hidden at the
- #      view.
- # UPD: Restructure of the voices of menu Modification and Project.
- # UPD: The MenuPopup class has been eliminated, hour the menu popup comes
- #      directly created from the voice Modification of the menu main.
- # UPD: The objects text hour come visualize to you with a contour in clear
- #      gray, that it allows to identify of exactly the margins.
- # UPD: Carried out some relative modifications to the new version of Gambas.
- # UPD: The font of the definitions of the functions and the sights in the
- #      windows of editing it has been set up to Courier for one better
- #      reading.
- # UPD: The version of PostgreSQL used in the project conditions the
- #      visualization and the use of the objects. To select a version previous
- #      to that one current provokes to the cancellation of all the objects
- #      not previewed from PostgreSQL.
- # UPD: Modified the order of creation of the commandos sql of the groups of
- #      objects; hour the sights come created for last.
- # UPD: Some corrections and optimizations of the procedures of input/output.
- # UPD: Ulterior assistants controls in the windows of modification of the
- #      objects. For the procedures he comes controlled the validity of the
- #      parameters in input, that they must be present in the list of the
- #      types recognized and valid for the version of selected PostgreSQL.
- # UPD: For the logon to the database it has been added parameter PORT, for
- #      being able to manage also the configurations not standard of
- #      PostgreSQL.
- # BUG: Corrected a problem with the types time/timestamp during the export of
- #      the commandos sql relati to you to the domains.
- # BUG: Corrected a problem of loading of the arguments of the procedures from
- #      the database.
- # BUG: Corrected an error during the cancellation of an object tablespace.
- # BUG: Corrected a problem during the export in sql of the objects table.
- # BUG: Corrected a problem of loading of the values of default of the tables
- #      from the database; if the default it is a function, this comes
- #      enclosed between double apexes.
- # BUG: Corrected a problem of loading from database of the relative indices
- #      of table you to primary keys, defined in way automatic rifle from
- #      PostgreSQL and/or with equal name to the primary key. Same behavior
- #      during the export in sql and towards the database.
- # BUG: Corrected an error in the creation of the commandos sql for DROP
- #      FUNCTION. The commando does not come more create/execute, the scope
- #      comes caught up with alternative CREATE OR REPLACE FUNCTION.
- # BUG: Corrected a problem in the loading from the database of the property
- #      of the functions.
- # BUG: Corrected a problem in the loading from the database of the property
- #      of the trigger.
- # BUG: Corrected a problem on the loading from database; hour the objects
- #      loads to you is exclusively those pertaining to the customer of login.
- # BUG: Corrected a problem of single/double apexes in the comments of the
- #      objects, during the writing of the commandos sql.
- # BUG: Eliminated the management of parameter "ON INSERT" in the
- #      management/creation of the relations, nonexistent in PostgreSQL.
- # BUG: Corrected a problem in the reading from the database of the relations
- #      with more fields.
- # BUG: In order to avoid the block of the application, when it comes pressed
- #      the present push-button of closing in the bar of the title it, it has
- #      been added to a push-button of closing in bottom to the visualization
- #      window extraction sql.
- # NDA: Program compiled with version 1.9.38 of Gambas.

* Sat Jun 10 2006 Luigi Carlotto <md9327@mclink.it> 0.0-33
- # ---------------------------------------------------------------------------
- # NEW: In menu the Project it has been added an ulterior one submenu with
- #      which it is possible to condition the visualization of the lines of
- #      the relations between tables. Hour it is possible to define if to show
- #      the connections in direct way or with segment line, this last one is
- #      the condition of default. (modernization proposed from the friend Jose
- #      Francisco Reinoza from the Venezuela).
- # NEW: Added a control on the relation between two fields not compatible; the
- #      control does not block the selection but it introduces a message of
- #      warning.
- # NEW: Added a control on the maximum dimension of the name of the objects,
- #      defined based on the PostgreSQL version set up in the project. The
- #      containing objects of project names that exceed this dimension will
- #      not come load, for which it will be necessary to proceed directly to
- #      the modification of the names on the file with whichever editor. The
- #      names in the windows of editing will come automatically limit you to
- #      this dimension.
- # NEW: In the structure of the tables it has been added the PrimaryKey
- #      property that it contains tightens it of the name of the primary key
- #      of the table. The value is not obligatory, and comes set up
- #      automatically from the program, to the name of the table continuation
- #      from the suffix "_pk". In the window of edit of the table, if a
- #      primary key exists and the name is empty, it will come set up to the
- #      value of default, and introduced a warning message; otherwise if it
- #      does not come selected some key, the property comes cancelled. The
- #      same logic comes applied during the loading of created objects of
- #      project with previous versions. Is be modified also the function of
- #      reverse-engineering, so as to to read from database also the name of
- #      the primary key. To notice that, in any case, the dimension of the
- #      name will come cut to the maximum dimension admitted from driver of
- #      PostgreSQL. (the modernization proposed from the friend Jose Francisco
- #      Reinoza).
- # UPD: Modernized the supported list of the datatype from PostgreSQL, in
- #      which they have been added some lacking datatypes. The list of the
- #      datatype is hour conditioned from the version of selected PostgreSQL,
- #      for which some new types they could be does not visualize to you with
- #      previous versions. In projects created with previous versions, some
- #      datatype could not be more consistent to the list, and assume various
- #      value; in this case it is necessary to modify the version of the
- #      driver in the window of the project parameters, or to select datatype
- #      various for every single object. This modernization is still in phase
- #      of study, and the list could endure variations in the next releases
- #      of pgDesigner.
- # UPD: Improved logic of design of the graphical objects.
- # UPD: Restructured the menu main. The voices of menu relative to the
- #      visualization of the details of the objects, the fields key and the
- #      names of the relations, have been moved in menu Show and total yields
- #      to the application, that is more not tied to the project; the
- #      formulations memorized in the objects of project created with the
- #      previous versions hour do not come taken more in consideration and do
- #      not condition more visualization of the objects. Also the window of
- #      the project parameters does not introduce more these formulations.
- # UPD: The windows of the parameters of project and statistics have been
- #      modified; in particular, the window of statistics, filler two lists,
- #      in alphabetical order, of the present objects in the project, and the
- #      fields contained in the tables. It lists are in single reading and to
- #      the single statistical ends and of control.
- # UPD: The menu popup it has been implemented and dawned with the carried out
- #      variations to the menu main.
- # UPD: Many of the logical ones and the objects of the program have been
- #      optimized.
- # UPD: The font of the window of visualization of extraction sql/html it has
- #      been modified and set up in Courier; this in order to allow one better
- #      reading of the text and to better show the spaces of the text lines.
- #      Moreover hour is managed the spaces of the text of the content of the
- #      procedures.
- # UPD: For the objects text, it has been added the possibility to write the
- #      text on more lines, and than to define of the positioning.
- # UPD: In the project objects it has been added the property "Driver" that
- #      contains the PostgreSQL version. For default, in the creation of a
- #      new project, the set up version is the 8.0; this can be modified
- #      through the window of Setup of the project. In the projects created
- #      with previous versions, the version will come set up to that one of
- #      default in phase of loading. To notice that the insertion of the
- #      control of dimension of the names of the objects could not allow the
- #      variation of the version with release of PostgreSQL previous, for
- #      which it will be necessary to proceed directly before to the manual
- #      modification of the names on the objects, before carrying out the
- #      change of version.
- # BUG: The formulation of the returns to head in the property comment of some
- #      objects has been corrected.
- # BUG: The strings relative to the property of the objects of database hour
- #      they come cleaned up of eventual blank spaces to the beginning and to
- #      the end of it tightens (trimming).
- # NDA: Program compiled with version 1.9.31 of Gambas.

* Tue May 23 2006 Luigi Carlotto <md9327@mclink.it> 0.0-32
- # ---------------------------------------------------------------------------
- # BUG: Corrected a small problem of visualization in the window of dialogue
- #      for the plan parameters.
- # BUG: Corrected a problem during the rescue and the loading of a plan
- #      without objects.
- # BUG: Corrected a small graphical problem in the List Objects, that it
- #      caused the modification of the icon of a plan object setting up it
- #      like a icon of group.
- # UPD: Modified the structure of the plan rows xml (a problem still exists on
- #      the loading of this type of rows, for which if of it it advices
- #      against the use).
- # UPD: Modified logic of the state of dragging in course.
- # NEW: Adding menu of a sottomenu in the File, containing the list of last
- #      the 5 open plans. From this list it is possible to load the relative
- #      plan (if always still present in the directory).
- # NEW: Hour it is possible to modify the coordinates of the selected object,
- #      activating a window of dialogue through double click of the mouse in
- #      the statusbar, in correspondence of the containing area the position
- #      puts into effect them of the object, or from menu the Modification
- #      or the menu popup with the skillful key of the mouse. The window
- #      allows to set up the point of positioning of the object in the
- #      diagram, through the insertion of coordinates X,Y in the design area.
- # NEW: The rescue of the plan hour has been divided on two voices of menu:
- #      rescue of the running plan on same the rows, new rescue on rows. With
- #      the first option the plan comes automatically saved on same the rows
- #      from which it has been loaded the plan, except in the case of rescue
- #      of one new; with the second option it always comes demanded the new
- #      name of the rows and the directory on which saving it.
- # NEW: The new objects initially come puttinges in the angle up on the left
- #      of the visible area, and not more like previously in the relative left
- #      advanced angle to the diagram.
- # NEW: In the list of the plan objects, for the tables and the views they
- #      come visualizes also the fields, evidencing the appropriate keys with
- #      icons.
- # NEW: The dimension of the list plan objects comes hour saved in the
- #      configuration rows; in this way, to the successive one restart of the
- #      program they will come restored the last set up manually dimensions.
- # NEW: The movement of objects beyond the visible area hour provokes scroll
- #      the automatic rifle allowing to follow and to render visible puts into
- #      effect it them position of the dragged object.
- # NEW: Adding of parameters in the configuration rows; the formulations of
- #      import/export come saved in separate way.
- # NEW: Program compiled with version 1.9.30 of Gambas.

* Tue May 02 2006 Luigi Carlotto <md9327@mclink.it> 0.0-31
- # ---------------------------------------------------------------------------
- # UPD: Modified the structure of the plan rows xml (a problem still exists on
- #      the loading of this type of rows, for which if of it it advices
- #      against the use).
- # BUG: Corrected an error in the creation of the indices on some versions of
- #      PostgreSQL, during report in format the text.
- # NEW: The progression of the creation of the report comes hour visualized on
- #      a dialogue window, that sluice to the term of the function comes.
- # UPD: Modified and improved the management of the press of the diagram of
- #      the plan.
- # NEW: The progression of the rescue functions and loading from rows, the
- #      export on rows and the reverse-engineering, come hour visualized on a
- #      dialogue window, that sluice to the term of its function comes.
- # BUG: Corrected the function of loading of the objects dominion from the
- #      database for some versions of PostgreSQL.
- # UPD: Modified the names of some form.
- # UPD: Reorganization of the objects, in particolar way has been modified the
- #      CProject object.
- # NEW: In the window of management of the press of the diagram of the plan
- #      they have been added two checkbox, with which single page is possible
- #      to adapt the entire diagram to the inside of one, and to save the
- #      diagram as rows image (you form to you valid: png, bmp, GIF, jpg and
- #      xpm). The dimensions of the rows image correspond to the real
- #      dimensions of the entire graphical area; the function automatically
- #      supplies to eliminate the empty zones to margin, only designing the
- #      area occupied from the objects. Same thing for the press on single
- #      page.
- # NEW: Program compiled with version 1.9.29 of Gambas.

* Wed Apr 19 2006 Luigi Carlotto <md9327@mclink.it> 0.0-30
- # ---------------------------------------------------------------------------
- # NEW: Added the possibility, in the mask of edit of the fields of the table,
- #      to move the order of the fields in the directory.
- # NEW: The making fields part of a foreign-key come evidence to you with a
- #      red graphical rumble, while the normal fields with a square gray.
- # NEW: The points of attachment of the relations to the tables come evidenced
- #      with red color for the father, with green color for the daughter.
- # NEW: The points of attachment of the relations to the edge of the tables
- #      come reordered so as to to respect the position of the objects on the
- #      diagram.
- # NEW: Added the voice of menu "Show keys", that it allows to show the single
- #      fields key of the tables. The same voice has been added to the menu
- #      popup.
- # NEW: The configuration rows come hour saved in the directory "pgdesigner"
- #      in home the customer. To the start this comes created does not exist.
- # NEW: Hour comes saved in the configuration rows the last one directory of
- #      the last one loading/saving. For default it is the home directory of
- #      the customer.
- # NEW: Program compiled with version 1.9.28 of Gambas.

* Wed Mar 22 2006 Luigi Carlotto <md9327@mclink.it> 0.0-29
- # ---------------------------------------------------------------------------
- # NEW: Added the Wizard push-button in the toolbar for the guided creation of
- #      the views.
- # UPD: Modernized the ViewWizard for the guided creation of the views.
- # BUG: Corrected a problem in the window parameters of plan during the
- #      creation of a new plan.
- # BUG: Corrected a segment fault when it comes finished the program or when
- #      it comes closed without to save a modified active plan.
- # BUG: Corrected a segment fault when they come it loads plans to you in
- #      consecutive way.
- # NEW: Program compiled with version 1.9.26 of Gambas.

* Tue Feb 28 2006 Luigi Carlotto <md9327@mclink.it> 0.0-28
- # ---------------------------------------------------------------------------
- # BUG: Corrected an error of loading of the relative image to the primary-key
- #      in the windows of editing of the fields and the indices of the table
- #      and in the window of editing of the relations.
- # BUG: Correction of some errors in the window wizard of the sights.
- # BUG: Correction error loading objects text from rows plan.
- # BUG: Correction error in cancellation object tablespace.

* Sat Feb 25 2006 Luigi Carlotto <md9327@mclink.it> 0.0-27
- # ---------------------------------------------------------------------------
- # NEW: Adding to window for the parameters of export of the script sql. Hour
- #      is possible to establish what to export; moreover it is possible to
- #      decide if to visualize or to write on disc the content of the
- #      generated script sql. The parameters set up to you come save to you in
- #      the configuration rows.
- # NEW: Adding of parameters in the configuration rows; they come saved also
- #      the formulations for the export of the script sql.
- # UPD: Optimization of the menu main and the menu popup.
- # UPD: Added graphical to the Tree object.
- # UPD: Added the hourglass in the long elaborations.
- # UPD: Small modifications of the CProject object and the MainForm.
- # NEW: Hour it is possible to select and to activate the menu popup on the
- #      labels of the relations (if visible); moreover the label assumes hour
- #      the same color of the relation line.
- # UPD: Graphical modifications of the statusbar.
- # UPD: Reorganization labels of the relations; hour they come visualized more
- #      compressed regarding the previous version.
- # UPD: Restructure of the icone of the program.
- # NEW: The dimensions of the main window hour come saved in the rows of
- #      configuration and restored to the next start.
- # UPD: Modernized the window of plan statistics, with the added one of
- #      ulterior information.
- # NEW: Added one window of selection of the objects to import from the
- #      database in the function of reverse-engineering.
- # BUG: Corrected the function of cancellation of the objects from the menu;
- #      hour comes demanded confirmation before executing the elimination.
- #      Moreover it has been implemented the verification of the existence of
- #      relations between the present objects in the plan and the object in
- #      cancellation.
- # UPD: It improves the confirmation messages to you cancellation.
- # UPD: Relative modifications to the new version of Gambas (you see next).
- # NEW: Program compiled with version 1.9.25 of Gambas.

* Sat Feb 18 2006 Luigi Carlotto <md9327@mclink.it> 0.0-26
- # ---------------------------------------------------------------------------
- # UPD: Modernized the icone of the application.
- # NEW: Added to field plan description. Hour it is possible to insert famous
- #      descriptive a relative one to the plan; the same note comes visualized
- #      and printed publication in the report and the rows sql.
- # UPD: Modified the form of formulation of the plan parameters.
- # UPD: Modified the structure of the configuration file.
- # NEW: Added the structure of base for the new procedures.
- # NEW: Added to the base structure the new views.
- # UPD: Restructure of the menu popup.
- # UPD: Implementazione of the documentation.
- # UPD: Program compiled with version 1.9.24 of Gambas.

* Wed Feb 08 2006 Luigi Carlotto <md9327@mclink.it> 0.0-25
- # ---------------------------------------------------------------------------
- # NEW: Added the possibility to less visualize or on the diagram the name of
- #      the relations.
- # UPD: Program compiled with version 1.9.24 of Gambas.

* Mon Feb 06 2006 Luigi Carlotto <md9327@mclink.it> 0.0-24
- # ---------------------------------------------------------------------------
- # BUG: Corrected a problem of visualization of the name of the plan if
- #      modified.
- # BUG: Corrected a problem when it comes pressed the key of the mouse on the
- #      tree in plan absence.
- # BUG: Some corrections and adjustments of the state bar.
- # UPD: In the objects table it has been replaced tightens it "PK" with a
- #      icona in order to identify the fields that make part of the primary
- #      key.
- # NEW: In the window of editing of the tables visualized hour comes, in the
- #      list of the columns of the table, a icona in order to identify the
- #      fields pertaining to the primary key.
- # NEW: In the window of editing of the relations a icona comes visualized
- #      hour in order to identify the fields pertaining to the primary key.
- # NEW: In the window of editing of the relations it has been added a control
- #      in order to avoid the duplication of the fields in relation.
- # NEW: In the window of editing of the indices visualized hour comes, in the
- #      list of the columns of the table, a icona in order to identify the
- #      fields pertaining to the primary key.
- # NEW: In the window of editing of the indices it has been added a control in
- #      order to avoid the duplication of the fields.
- # UPD: Program compiled with version 1.9.24 of Gambas.

* Tue Jan 31 2006 Luigi Carlotto <md9327@mclink.it> 0.0-23
- # ---------------------------------------------------------------------------
- # NEW: Created the CConfig object for the management of the rows of
- #      configuration of pgDesigner.
- # UPD: Modified the structure of the rows of configuration of pgDesigner.
- # NEW: Adding translation in English of the witnesses and the messages.
- # UPD: Modified the function of visualization of the commandos sql; hour the
- #      extraction comes carried out in format HTML so as to to render the
- #      loading in the form faster.
- # NEW: Added the voice of menu statistics to which a form is connected that
- #      it visualizes the number of contained objects divided for type nel
- #      plan.

* Sun Jan 29 2006 Luigi Carlotto <md9327@mclink.it> 0.0-22
- # ---------------------------------------------------------------------------
- # UPD: Modifications of the menu popup.
- # BUG: Corrected a problem on the loading of the plan rows ini.
- # UPD: Restructure of the CProject object and the MainForm.
- # UPD: Modified the form of plan; hour it is possible to insert other
- #      formulations of base.

* Tue Jan 03 2006 Luigi Carlotto <md9327@mclink.it> 0.0-21
- # ---------------------------------------------------------------------------
- # NEW: Added to the function report plan, hour it is possible to create rows
- #      with report being contained the data of every single object of the
- #      plan. The extraction can be made in format text or format HTML.
- # BUG: Corrected problem of loading from database of the fields index.

* Mon Jan 02 2006 Luigi Carlotto <md9327@mclink.it> 0.0-20
- # ---------------------------------------------------------------------------
- # UPD: Adding pages of help.

* Fri Dec 30 2005 Luigi Carlotto <md9327@mclink.it> 0.0-19
- # ---------------------------------------------------------------------------
- # BUG: Corrected problem of dragging of the objects beyond the limits of the
- #      design area.
- # NEW: New additions voices in directory PostgreSql types.
- # NEW: Adding to confirmation on elimination objects.
- # BUG: Corrected and added icons to the menu popup.
- # BUG: Small corrections.
- # NEW: Creation pages of help.

* Fri Dec 30 2005 Luigi Carlotto <md9327@mclink.it> 0.0-18
- # ---------------------------------------------------------------------------
- # NEW: Ulterior assistants controls in the windows of editing.
- # BUG: Corrected the function of loading of the trigger from the database.
- # BUG: Corrected the problem of the push-buttons of toolbar active even if
- #      the no plan it is active.
- # UPD: Modified the color of the lines of relation from black to clear gray,
- #      moreover the color of the relations passes red if selected.
- # UPD: Modified the function of agreement of the objects on the screen.
- # BUG: Corrected the dimension of the object text, hour visualizes all
- #      correctly tightens it on the diagram.

* Sun Dec 18 2005 Luigi Carlotto <md9327@mclink.it> 0.0-17
- # ---------------------------------------------------------------------------
- # UPD: Modification of the StatusBar, hour comes visualizes to you: name and
- #      type running object, position left advanced angle of the object,
- #      relation in definition course, dragging object in course, editing of
- #      the data in course, pointer of modified plan, extension of the plan
- #      rows (ini or xml).
- # NEW: Adding distinction between relation RESTRICT and not; in the case
- #      relation restrictions do not exist, the connection line come instead
- #      visualized in points that in a continuous line.
- # BUG: Corrections generate them.

* Sun Dec 18 2005 Luigi Carlotto <md9327@mclink.it> 0.0-16
- # ---------------------------------------------------------------------------
- # UPD: Modifications of the rescue functions and loading plans in xml
- #      (unfortunately exist still problems in the loading functions).
- # UPD: Modifications of the windows of editing of the data.
- # UPD: Small modifications on the loading of type values boolean.
- # NEW: Added the loading of the domains from the database.
- # UPD: Modified the function of agreement of the objects on the screen.
- # NEW: Added the variable Comment to the PGDomain object.
- # NEW: Adding function of copy of the objects (excluded relations).
- # NEW: Added icons on the push-buttons of the windows of editing.
- # NEW: Added to push-buttons function on the form of editing of Fields and
- #      Indices.
- # NEW: Added tooltip in the windows of editing.
- # BUG: Corrected output sql of the relations (the tables father and son).
- # NEW: Added controls on the data of the objects in the form of editing.

* Wed Dec 14 2005 Luigi Carlotto <md9327@mclink.it> 0.0-15
- # ---------------------------------------------------------------------------
- # UPD: Completely it restructures the graphical objects and logic to you of
- #      movement.
- # UPD: Modifications of the windows of editing of the data.
- # UPD: Modifications of the rescue functions and loading plans.
- # UPD: Modifications of the extraction functions sql.
- # UPD: Modifications of the press function.

* Wed Dec 07 2005 Luigi Carlotto <md9327@mclink.it> 0.0-14
- # ---------------------------------------------------------------------------
- # UPD: Graphical improvement of the objects.
- # UPD: Modifications on the functions of dragging of the graphical objects.
- # UPD: Improved the interface for the press of the diagram.

* Tue Dec 06 2005 Luigi Carlotto <md9327@mclink.it> 0.0-13
- # ---------------------------------------------------------------------------
- # NEW: Implementazione of the press in pages of the design area.
- # UPD: Eliminated menu "Setup page" and all the subitems.

* Mon Dec 05 2005 Luigi Carlotto <md9327@mclink.it> 0.0-13
- # ---------------------------------------------------------------------------
- # UPD: Modifications on the functions of dragging of the graphical objects.

* Sun Dec 04 2005 Luigi Carlotto <md9327@mclink.it> 0.0-12
- # ---------------------------------------------------------------------------
- # UPD: Modifications on the functions of dragging of the graphical objects.

* Fri Dec 02 2005 Luigi Carlotto <md9327@mclink.it> 0.0-11
- # ---------------------------------------------------------------------------
- # NEW: Ricompilato with version 1.9.22 of gambas, use of the long variables.
- # BUG: Correction of some functions.
- # UPD: Modifications on the functions of dragging of the graphical objects.
- # UPD: Modifications in the windows of editing.

* Mon Nov 21 2005 Luigi Carlotto <md9327@mclink.it> 0.0-10
- # ---------------------------------------------------------------------------
- # UPD: Rewritten the creation functions structure sql from plan.
- # NEW: Hour it is possible to visualize a preview of the commandos sql
- #      generates to you.
- # UPD: Modified the windows of editing of the objects.
- # NEW: Added the possibility to showing/hiding the details of the tables and
- #      the views.
- # UPD: Modifications on the graphical functions; in particular avoided the
- #      refresh continuous of the diagram.
- # UPD: Modified the diagram of the MainWindow; hour it is possible to
- #      visualize or to hide the toolbar, the directory of the objects and the
- #      bar of state.
- # UPD: The directory of the fields in the window of editing of the table
- #      comes visualized hour the condition of null value.
- # NEW: Added the reverse-engineering from database a PostgreSql (for the
- #      moment it is previewed only for version 8.0).

* Thu Nov 10 2005 Luigi Carlotto <md9327@mclink.it> 0.0-9
- # ---------------------------------------------------------------------------
- # NEW: Added menu popup with the more common options for the management of
- #      the objects; pressing the right key of the mouse over an object it is
- #      possible to modify it or to cancel it; pressing it in an empty zone it
- #      allows to insert a new object.

* Sat Nov 05 2005 Luigi Carlotto <md9327@mclink.it> 0.0-8
- # ---------------------------------------------------------------------------
- # BUG: Corrected some bug in the management of the plan rows ini.
- # NEW: Hour it is possible to select the relations to click on the connection
- #      line.
- # NEW: Modified some graphical formulations and of color.
- # BUG: Attention! The functions of loading from rows xml still are not
- #      stable.

* Wed Nov 02 2005 Luigi Carlotto <md9327@mclink.it> 0.0-7
- # ---------------------------------------------------------------------------
- # NEW: Version transported and compiled under gambas 1.9.21.
- # UPD: Modified completely the management of the plan rows .ini used the
- #      object of Settings library.
- # UPD: Small graphical modifications.

* Tue Nov 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-6
- # ---------------------------------------------------------------------------
- # UPD: Small graphical modifications.

* Mon Oct 31 2005 luigi <luigi@srvlnx.clsoft.it> 0.0-5
- # ---------------------------------------------------------------------------
- # BUG: Corrected some bug in the functions of loading of the plan rows xml.
- # NEW: Added the possibility to save and to load rows plan in format ini.
- # NEW: Adding memory on the type of extension used from the plan rows.

* Wed Oct 26 2005 Luigi Carlotto <md9327@mclink.it> 0.0-4
- # ---------------------------------------------------------------------------
- # UPD: Removed the icons in the form of edit.

* Tue Oct 25 2005 Luigi Carlotto <md9327@mclink.it> 0.0-3
- # ---------------------------------------------------------------------------
- # NEW: Added Text object.

* Sat Oct 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-2
- # ---------------------------------------------------------------------------
- # NEW: Study and planning.

* Sat Oct 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-1
- # ---------------------------------------------------------------------------
- # NEW: Creation.
